<div class="inventory-filters flexrow">
  {{~> "systems/pf1/templates/internal/item-search.hbs" category="features"}}

  <ul class="filter-list flexrow" data-category="features">
    {{#each sections as |section sid|}}
    <li class="filter-item" data-category="features" data-filter="{{section.id}}">{{section.label}}</li>
    {{/each}}
  </ul>
</div>

<section class="feats-body">
  <ol class="item-groups-list">
  {{#each sections as |section sid|}}
  {{#unless section._hidden}}
    <ol class="item-list sub-scroll scroll-feats feats-{{sid}}" data-type="feat" data-subtype="{{sid}}">
      <li class="item-list-header flexrow">
        <div class="item-name">
          <h3>{{section.label}}</h3>
        </div>

        {{#if section.interface.types}}
        <div class="item-detail item-type"><i class="icon-pf icon-magic-palm" data-tooltip="PF1.Type"></i></div>
        {{/if}}

        {{#if section.interface.actions}}
        <div class="item-detail item-actions"><i class="icon-pf icon-gears" data-tooltip="PF1.ActionPlural"></i></div>
        <div class="item-detail item-uses"><i class="icon-pf icon-battery-pack" data-tooltip="PF1.ChargePlural"></i></div>
        <div class="item-detail item-usage"><i class="icon-pf icon-hand" data-tooltip="PF1.Usage"></i></div>
        {{/if}}

        {{#if section.interface.level}}
        <div class="item-detail item-feat-level"><i class="icon-pf icon-upgrade" data-tooltip="PF1.Level"></i></div>
        {{/if}}

        {{#if @root.owner}}
        <div class="item-controls">
          {{#if section.interface.create}}
          <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="{{path}}">
            <i class="fas fa-plus"></i>
          </a>
          {{/if}}
          <a data-action="compendium" data-action-target="feats" data-tooltip="PF1.OpenCompendium"><i class="fas fa-folder-plus"></i></a>
        </div>
        {{/if}}
      </li>

      {{#each section.items as |item iid|}}
      <li class="item flexrow{{#unless isCharged}} uncharged{{/unless}}{{#if item.disabled}} disabled{{/if}}" data-item-id="{{item.id}}">
        <div class="item-name rollable">
          <div class="item-image" style='background-image: url("{{item.img}}")' data-tooltip="PF1.DisplayInChat"></div>
          <h4>{{item.name}}</h4>
        </div>

        {{#if section.interface.types}}
        <div class="item-detail item-type">
          <span>{{item.typelabel}}</span>
        </div>
        {{/if}}

        {{#if section.interface.actions}}
        <div class="item-detail item-actions">
          <div class="item-action">
            {{#unless item.disabled}}
            {{#if item.hasAction}}
            <a class="item-control item-action action roll" data-tooltip="PF1.UseFeat">
              <i class="fa-solid fa-dice-d20"></i>
            </a>
            {{/if}}
            {{/unless}}
          </div>
        </div>

        <div class="item-detail item-uses flexrow" data-tooltip-extended="item.{{item.id}}.resources">
          {{#if item.isCharged}}
          <span class="text-box value allow-relative" data-wheel-step="1" data-dtype="Number">{{item.uses.value}}</span>
          <span class="sep"> / </span>
          <span class="max">{{item.uses.max}}</span>
          {{/if}}
        </div>
        <div class="item-detail item-usage">
          {{#if item.labels.activation}}
          <span>{{item.labels.activation}}</span>
          {{/if}}
        </div>
        {{/if}}

        {{#if @root.owner}}
        <div class="item-controls">
          <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
          <a class="item-control item-duplicate" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
          <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
        </div>
        {{/if}}
      </li>
      {{/each}}
      {{#if issues.discrepancy}}
      <div class="feat-notifications">
        <div class="notification-box warning">
          <h5>{{#if issues.missing}}{{localize "PF1.Missing"}}{{else}}{{localize "PF1.Excess"}}{{/if}}</h5>
          <span class="value">{{numberFormat issues.discrepancy}}</span>
        </div>
      </div>
      {{/if}}
    </ol>
  {{/unless}}
  {{/each}}
  </ol>
</section>

<hr>

<footer data-tooltip-extended="feats" data-tooltip-direction="UP">
  {{! Arbitrary Bonus Feats }}
  <div class="flexrow form-group extra-feats">
    <label>{{localize "PF1.BonusFeatFormula"}}</label>
    <input class="formula" type="text" name="system.details.bonusFeatFormula" value="{{system.details.bonusFeatFormula}}" placeholder="{{localize "PF1.Formula"}}">
  </div>

  {{! Feat Counts }}
  <div class="feat-counts">
    <div class="info-box-joined stats">
      <div class="info-box owned">
        <h5>{{localize "PF1.Feats"}}</h5>
        <span class="value">{{featCount.active}}</span>
      </div>
      <div class="info-box by-level">
        <h5>{{localize "PF1.ByLevel"}}</h5>
        <span class="value">{{featCount.levels}}</span>
      </div>
      <div class="info-box by-extra">
        <h5>{{localize "PF1.ByBonus"}}</h5>
        <span class="value">{{featCount.bonus}}</span>
      </div>
      <div class="info-box total">
        <h5>{{localize "PF1.Total"}}</h5>
        <span class="value">{{featCount.max}}</span>
      </div>
    </div>

    {{#if featCount.issues}}
    <div class="info-box-joined issues" style="--issues:{{featCount.issues}};">
      {{#if featCount.missing}}
      <div class="info-box missing">
        <h5>{{localize "PF1.Missing"}}</h5>
        <span class="value">{{featCount.missing}}</span>
      </div>
      {{else if featCount.excess}}
      <div class="info-box excess">
        <h5>{{localize "PF1.Excess"}}</h5>
        <span class="value">{{featCount.excess}}</span>
      </div>
      {{/if}}

      {{#if featCount.disabled}}
      <div class="info-box disabled">
        <h5>{{localize "PF1.Disabled"}}</h5>
        <span class="value">{{featCount.disabled}}</span>
      </div>
      {{/if}}
    </div>
    {{/if}}
  </div>
</footer>
